import * as React from 'react';
import './ColorPicker.scss';
interface IColorPickerProps {
    currSelected?: string;
    onSelect: (color: string) => void;
    swatchShape?: string;
}
declare class ColorPicker extends React.PureComponent<IColorPickerProps> {
    constructor(props: IColorPickerProps);
    renderColor(color: string): JSX.Element;
    render(): JSX.Element;
}
export default ColorPicker;
